What is it?

A new security bug where VPN users all across the web are vulnerable to having their IP address’s leaked and visible by their web browsers.

More info

Am I vulnerable?

This page automatically tests your browser for the bug by making a hidden request and checking the response.

Inspecting your browser

Your Local IP: Inspecting your browser

How to Fix for Google Chrome:

Install the ScriptSafe, from the Google Chrome store.

Close

What is WebRTC?

WebRTC (Real-Time-Communication) is used for services like voice calls, video chats, and p2p file sharing. WebRTC was originally developed to aid various connections between browsers without the need for an additional plugin. If you are using a VPN or a Proxy, your browser may be leaking your IP.

What does it effect?

The WebRTC security hole can effect ALL major web browsers – Chrome, Firefox, Internet Explorer and Safari.

What if I use a VPN?

VPN users are not affected by this vulnerability, however we do suggest fixing your browsers as precaution.


More information on what this does is available from the researcher’s github page.